Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`mail`.`interfaces`.`IMailboxIMAPInfo``

interface documentation

`class IMailboxIMAPInfo(Interface): (source)`

Known subclasses: `twisted.mail.interfaces.IMailboxIMAP`

View In Hierarchy

Interface specifying only the methods required for `listMailboxes`.

Implementations can return objects implementing only these methods for return to `listMailboxes` if it can allow them to operate more efficiently.

Method | `getFlags` | Return the flags defined in this mailbox
Method | `getHierarchicalDelimiter` | Get the character which delimits namespaces for in this mailbox.

def getFlags(): (source)

Return the flags defined in this mailbox

Flags with the \ prefix are reserved for use as system flags.

Returns
`list` of `str` | A list of the flags that can be set on messages in this mailbox.

def getHierarchicalDelimiter(): (source)

Get the character which delimits namespaces for in this mailbox.

Returns
`bytes` | Undocumented